
Redmine - Defect #15192

ActiveRecord::JDBCError: Syntax error when running rake db:migrate

2013-10-24 19:40 - run wang

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version: 2.3.0

Description

rake aborted!

An error has occurred, this and all later migrations canceled:

ActiveRecord::JDBCError: Error: Syntax Error in or near by "RETURNING" ：185: INSERT INTO "permissions" ("action", "controller",

"description", "is_public", "mail_enabled", "mail_option", "sort") VALUES ('show', 'projects', 'label_overview', 't', 'f', 'f', 100)

RETURNING "id"arjdbc/jdbc/RubyJdbcConnection.java:195:in `execute'

org/jruby/RubyKernel.java:2076:in `send'

org/jruby/RubyKernel.java:2076:in `send'

org/jruby/RubyKernel.java:2076:in `send'

org/jruby/RubyKernel.java:2076:in `send'

/opt/redmine-2.3.0/db/migrate/001_setup.rb:237:in `up'

org/jruby/RubyKernel.java:2076:in `send'

org/jruby/RubyKernel.java:2080:in `send'

org/jruby/RubyProc.java:270:in `call'

org/jruby/RubyProc.java:220:in `call'

org/jruby/RubyArray.java:1615:in `each'

org/jruby/RubyProc.java:270:in `call'

org/jruby/RubyProc.java:220:in `call'

org/jruby/RubyArray.java:1615:in `each'

org/jruby/RubyArray.java:1615:in `each'

org/jruby/RubyKernel.java:1058:in `load'

Tasks: TOP => db:migrate

(See full trace by running task with --trace)

History

#1 - 2013-10-26 06:40 - Mischa The Evil

- Subject changed from When I run "RAILS_ENV=production rake db:migrate",it got wrong. to ActiveRecord::JDBCError: Syntax error when running

rake db:migrate

- Status changed from New to Needs feedback

Please see the submission guidelines and provide the needed information.

#2 - 2015-08-23 17:11 - Jan Niggemann (redmine.org team member)

- Status changed from Needs feedback to Closed

- Resolution set to No feedback
